Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class NullValueInNestedPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.InvalidPropertyException
                                  org.springframework.beans.NullValueInNestedPathException

All Implemented Interfaces:
  Serializable

    public class NullValueInNestedPathException

extends InvalidPropertyException

Exception thrown when navigation of a valid nested property path encounters a NullPointerException.

For example, navigating "spouse.age" could fail because the spouse property of the target object has a null value.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`NullValueInNestedPathException(Class beanClass, String propertyName)` Create a new NullValueInNestedPathException.
`NullValueInNestedPathException(Class beanClass, String propertyName, String msg)` Create a new NullValueInNestedPathException.

Method Summary

Methods inherited from class org.springframework.beans.InvalidPropertyException
`getBeanClass, getPropertyName`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullValueInNestedPathException

    public NullValueInNestedPathException(Class beanClass,
                                          String propertyName)

  Create a new NullValueInNestedPathException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property

### NullValueInNestedPathException

    public NullValueInNestedPathException(Class beanClass,
                                          String propertyName,
                                          String msg)

  Create a new NullValueInNestedPathException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property
    `msg` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.